org.apache.maven.scm.provider.perforce.command.login

## Class PerforceLoginCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.login.AbstractLoginCommand
    - - org.apache.maven.scm.provider.perforce.command.login.PerforceLoginCommand

- All Implemented Interfaces:
    Command, PerforceCommand

      public class PerforceLoginCommand
      extends AbstractLoginCommand
      implements PerforceCommand

  Version:
    $Id: PerforceLoginCommand.java 756909 2009-03-21 10:18:45Z olamy $
  Author:
    Mike Perham

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerforceLoginCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.codehaus.plexus.util.cli.Commandline` | `createCommandLine(PerforceScmProviderRepository repo, File workingDir)`
    `LoginScmResult` | `executeLoginCommand(ScmProviderRepository repo, ScmFileSet files, CommandParameters params)`

    - ### Methods inherited from class org.apache.maven.scm.command.login.AbstractLoginCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerforceLoginCommand

          public PerforceLoginCommand()

  - ### Method Detail

    - #### executeLoginCommand

          public LoginScmResult executeLoginCommand(ScmProviderRepository repo,
                                           ScmFileSet files,
                                           CommandParameters params)
                                             throws ScmException

      Specified by:
        `executeLoginCommand` in class `AbstractLoginCommand`
      Throws:
        `ScmException`

    - #### createCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createCommandLine(PerforceScmProviderRepository repo,
                                                                   File workingDir)

Copyright © 2003–2015. All rights reserved.